/*
*******************************************************************************
*  Copyright (c) 1996 Martin Poole                            *
*******************************************************************************
**
*******************************************************************************
*/

/* ------------------------------------------------------------------
    Include files
   ------------------------------------------------------------------ */

#include <stdio.h>
#include <string.h>
#include <sys/types.h>

#include <fcntl.h>
#include <unistd.h>

#include <mplib1/dumphex.h>

/* ------------------------------------------------------------------
    defines
   ------------------------------------------------------------------ */

#define RBUFSIZE	1000*16

/* ------------------------------------------------------------------
    Code starts here
   ------------------------------------------------------------------ */

int
main (int argc, char *argv[] )
{
    int fd;
    ssize_t rsz;
    off_t cfp;
    int carg=1;
    char rbuf[RBUFSIZE];

    if (carg==argc)
    {
	cfp = 0;
	fd = fileno( stdin );
	if (fd >=0)
	{
	    while ((rsz = read( fd, rbuf, RBUFSIZE )) > 0)
	    {
		do_hex_dump( stdout, cfp, rbuf, rsz );
		cfp+=rsz;
	    };
	}
    }else
    {
	while (carg < argc)
	{
	    cfp = 0;
	    fd = open( argv[carg], O_RDONLY );
	    if (fd >=0)
	    {
		while ((rsz = read( fd, rbuf, RBUFSIZE )) > 0)
		{
		    do_hex_dump( stdout, cfp, rbuf, rsz );
		    cfp+=rsz;
		};
		close(fd);
	    }
	    carg++;
	}
    }
    return(0);
}


/* -- End of File -- */
