/*
*******************************************************************************
*  Copyright (c) 1996 Martin Poole                            *
*******************************************************************************
**
*******************************************************************************
*/

/* ------------------------------------------------------------------
    Include files
   ------------------------------------------------------------------ */

#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/time.h>
#include <pwd.h>
#include <time.h>
#include <string.h>
#include <stdarg.h>
#include <memory.h>

#include <mplib1/mplib1_config.h>
#include <mplib1/timestamp.h>
#include <mplib1/pid_check.h>
#include <mplib1/fprintfile.h>

/* ------------------------------------------------------------------
    defines
   ------------------------------------------------------------------ */

/* ------------------------------------------------------------------
    Code starts here
   ------------------------------------------------------------------ */

int
fput_log_str( FILE *fh )
{
    char pid_str[PID_STR_LEN];
    int rv;

    gen_pid_str( pid_str, getpid() );
    rv = fprintf( fh, "%s %s %s ",
		    make_timestamp_str( NULL ),
		    pid_str,
		    get_my_uname() );
    
    return(rv);
}

/* -- End of File -- */
