/*
*******************************************************************************
*  Copyright (c) 1997 Martin Poole                            *
*******************************************************************************
**
*******************************************************************************
*/

/* ------------------------------------------------------------------
    Include files
   ------------------------------------------------------------------ */

#include <stdio.h>
#include <stdlib.h>
#include <sys/time.h>
#include <sys/times.h>
#include <mplib1/stopwatch.h>

/* ------------------------------------------------------------------
    defines
   ------------------------------------------------------------------ */

/* ------------------------------------------------------------------
    Start of Code
   ------------------------------------------------------------------ */

/* Test the stopwatch code */

int
main( int argc, char *argv[] )
{
    struct stopwatch t1,t2;

    init_stopwatch( &t1 );
    init_stopwatch( &t2 );

    start_stopwatch( &t1 );
    system( "ls -l >/dev/null" );
    stop_stopwatch( &t1 );
    printf( "Elapsed time was %s\n", display_stopwatch( &t1, 0 ) );
    accrete_stopwatch( &t2, &t1 );
    printf( "accreted time was %s\n", display_stopwatch( &t2, 0 ) );
    start_stopwatch( &t1 );
    system( "ls -l /etc >/dev/null" );
    stop_stopwatch( &t1 );
    printf( "Elapsed time was %s\n", display_stopwatch( &t1, 0 ) );
    accrete_stopwatch( &t2, &t1 );
    printf( "accreted time was %s\n", display_stopwatch( &t2, 0 ) );
    return(0);
}

/* -- End of File -- */
